[ Home | Liste | F.A.Q. | Risorse | Cerca... ]


[ Data: precedente | successivo | indice ] [ Argomento: precedente | successivo | indice ]


Archivio: openbsd@sikurezza.org
Soggetto: Re: [OT] openbsd 3.3 e qmail+vpopmail+ ... +qmailadmin
Mittente: Qu3St
Data: 11 Jun 2003 11:39:56 -0000
On Mon, Jun 09, 2003 at 06:29:24PM +0200, Andrea Riela wrote:
> Ciao a tutti,
> 
> forse la mia richiesta  un po' ot, spero che mi possiate aiutare anche
> con qualche link a qualche tutorial.
> Ho installato qmail+daemontools+ucspi+autorespond+ezmlm+qmailadmin, ma
> nel momento in cui edito http://ipserver/cgi-bin/qmailadmin, ricevo un
> messaggio di errore 500 "Internal Server Error". Ho guardato l'error_log
> di apache, che mi dice:
> 
> No ld.so
> [Mon Jun  9 17:08:22 2003] [error] [client 192.168.0.12] Premature end
> of script headers: /cgi-bin/qmailadmin
> 
> dov' il mio problema? in apache+cgi? oppure in qmailadmin? oppure nei
> permessi?
> 

il problema, se di problema vogliamo parlare, dovrebbe essere dato dal fatto
che apache gira chroottato all'interno di /var/www ergo, quando vai ad
eseguire in cgi-C che sia linkato a delle shared lib questi non le
trova. 
Hai diverse soluzione per ovviare la cosa secondo il mio punto di vista:
1) non usare qmailadmin. - ma anche no -
2) compilare staticamente qmailadmin. - dipente quanto conti di usarlo e
che macchina hai sotto - 
3) rivedere il chroot di apache per permettere l'esecuzione del cgi-C
shared link. 

Per quanto riguarda la terza soluzione potresti trovare qualche spunto
per un interessante hack su http://www.systrace.org/


kiZZ
quest

--
Si sedes non iS <--> http://www.(freaknet|s0ftpj).org



________________________________________________________
http://www.sikurezza.org - Italian Security Mailing List




[ Home | Liste | F.A.Q. | Risorse | Cerca... ]

www.sikurezza.org - Italian Security Mailing List
(c) 1999-2005